Subject: Re: bug#72323: 31.0.50; line-move unconditionally resets vscroll to 0

From: Po Lu <[email-masked]>
Date: Mon, 29 Jul 2024 22:30:50 +0800

Eli Zaretskii <[email-masked]> writes:

>> This function is very clearly about cursor motion, not scrolling, and
>> shouldn't mess with the current scroll position.
>
> Po Lu will tell, but my understanding of the comment is that it does
> what it does out of necessity.

I don't understand why it is inherently improper that line motion
commands should reset vscroll, which is never set to a large value by
precision scrolling.